Bug 56045 - Data-Labels- and Axis-Number-FORMATTING needs Complete Recalculation for update
Summary: Data-Labels- and Axis-Number-FORMATTING needs Complete Recalculation for update
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Chart-Labels
  Show dependency treegraph
 
Reported: 2012-10-16 19:26 UTC by A (Andy)
Modified: 2019-12-03 14:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple Sample (17.96 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-02-15 17:02 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2012-10-16 19:26:21 UTC
Problem description: 
If you insert a chart and change the format of the underlying data, this format is not updated automatically in the corresponding chart.

Steps to reproduce:
1. Open SPREADSHEET
2. Insert any four-digit number in any cell
3. Mark this cell and choose CHART from the menu INSERT and insert any kind of chart
4. Go to the four-digit number and choose CELLS from the menu FORMAT
5. Choose THOUSANDS SEPARATOR from the tab NUMBERS and press OK to close


Current behavior:
Nothing happens.


Expected behavior:
The format of the Y-axis in the chart should be changed to four-digit numbers with a thousands separator.

This format can unfortunately only be changed by a double click on the axis and deactivating SOURCE FORMAT and closing the Y-Axis window.  This problem is the same if you would for instance add a decimal place.
Comment 1 Rainer Bielefeld Retired 2012-10-16 20:21:29 UTC
Effect is Reproducible] with  "LibreOffice 3.6.3.1” German UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit), same with 3.5.2; but I will have to do some more research tomorrow concerning some details.
Comment 2 Joel Madero 2013-02-11 03:38:17 UTC
Marking as NEW as Rainer has said he can reproduce.

Rainer - any more input on this one?
Comment 3 Thomas Arnhold 2013-02-15 14:23:02 UTC
I can confirm this. If the cell formatting changes the chart should be updated.

Steps 1-5 as described in comment#1.

6. Click on the chart and format axis. Deselect "Source format". Close the dialog.
7. Click on the chart a second time and format axis. Select "Source format". Close the dialog. Now the formatting is the same as in the cell.

Ctrl+F9 should update the chart formatting if "Source format", but it doesn't.
Comment 4 Rainer Bielefeld Retired 2013-02-15 17:01:29 UTC
Sorry, think I meant day after tomorrow or so ;-)

Same with Data labels and may be other source related Number formats, a change of formatting in source cell will not be applied before <control+shift+f9>

Already [Reproducible] with 
* Server Installation of  "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit) 
* AOOo 3.4.0 (back until 2.0)

So seems inherited from OOo.

Still [Reproducible] with parallel Dev-installation of  "Version 4.1.0.0.alpha0+ (Build ID: 2b9394f0c009b385756a0c5d75e3c1cd412f723) TinderBox: Win-x86@6, Branch:master, Pull Time: 2013-02-14_00:13:52" ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with LODev/4 Masters User Profile 

The problem also is reproducible with Attachment 54073 [details] for Bug 43467. I have some problems to distinguish difference between problem there and here.
An other similar bug was "Bug 47084 - FORMATTING: FORMATTING X-axis "Time" not respected for calculated values"
	
@Kohei, Markus:
You were involved at the similar bugs I mention here, please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf
Comment 5 Rainer Bielefeld Retired 2013-02-15 17:02:50 UTC
Created attachment 74880 [details]
Simple Sample

For tests simply modify formatting in the spreadsheet cells to currency or similar, will be taken to chart not before <control+shift+f9>.
Comment 6 Rainer Bielefeld Retired 2013-02-15 17:24:20 UTC
"Bug 60914 - Number FORMATTING not changed in all cells of selection" is an other one in the change formatting chart related <control+shift+f9> area, it might make good economic sense to handle that one together with this one here (although probably not directly related).
Comment 7 A (Andy) 2013-12-27 12:18:47 UTC
still reproducible with LO 4.1.4.2 (Win7 Home, 64bit)
Comment 8 Markus Mohrhard 2013-12-27 19:19:20 UTC
(In reply to comment #7)
> still reproducible with LO 4.1.4.2 (Win7 Home, 64bit)

Yes. No need to check with each release. This will most likely not be fixed in the near future unless mentioned in the bug report.
Comment 9 QA Administrators 2015-04-19 03:23:35 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2016-09-20 09:24:51 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-12-03 14:07:32 UTC
Dear A (Andy),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug